package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * VoiceMailBatchDelete
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoiceMailBatchDelete   {
  @JsonProperty("voiceMailList")
  @Valid
  private List<String> voiceMailList = new ArrayList<>();

  public VoiceMailBatchDelete voiceMailList(List<String> voiceMailList) {
    this.voiceMailList = voiceMailList;
    return this;
  }

  public VoiceMailBatchDelete addVoiceMailListItem(String voiceMailListItem) {
    this.voiceMailList.add(voiceMailListItem);
    return this;
  }

  /**
   * Voice mail list.
   * @return voiceMailList
  */
  @ApiModelProperty(required = true, value = "Voice mail list.")
  @NotNull


  public List<String> getVoiceMailList() {
    return voiceMailList;
  }

  public void setVoiceMailList(List<String> voiceMailList) {
    this.voiceMailList = voiceMailList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoiceMailBatchDelete voiceMailBatchDelete = (VoiceMailBatchDelete) o;
    return Objects.equals(this.voiceMailList, voiceMailBatchDelete.voiceMailList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(voiceMailList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoiceMailBatchDelete {\n");
    
    sb.append("    voiceMailList: ").append(toIndentedString(voiceMailList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

